insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'PopulatedAttributesPerCategory', rownum, totals, id from 
(select count(1) totals, cab_category_id id
from cab 
where cab_company_id = 40001
and cab_next_version_id = 999999999
group by cab_category_id
order by totals desc);
commit;
quit;
